package ink.wgink.module.map.pojo.vos.grid;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: GridGroupVO
 * @Description: 网格组
 * @Author: wanggeng
 * @Date: 2021/10/19 10:34 下午
 * @Version: 1.0
 */
@ApiModel
public class GridGroupVO {

    @ApiModelProperty(name = "gridGroupName", value = "名称")
    @CheckEmptyAnnotation(name = "名称")
    private String gridGroupName;
    @ApiModelProperty(name = "gridGroupCode", value = "编码")
    private String gridGroupCode;
    @ApiModelProperty(name = "gridGroupSummary", value = "描述")
    private String gridGroupSummary;
    @ApiModelProperty(name = "gridGroupDuty", value = "职责")
    private String gridGroupDuty;

    public String getGridGroupName() {
        return gridGroupName == null ? "" : gridGroupName.trim();
    }

    public void setGridGroupName(String gridGroupName) {
        this.gridGroupName = gridGroupName;
    }

    public String getGridGroupCode() {
        return gridGroupCode == null ? "" : gridGroupCode.trim();
    }

    public void setGridGroupCode(String gridGroupCode) {
        this.gridGroupCode = gridGroupCode;
    }

    public String getGridGroupSummary() {
        return gridGroupSummary == null ? "" : gridGroupSummary.trim();
    }

    public void setGridGroupSummary(String gridGroupSummary) {
        this.gridGroupSummary = gridGroupSummary;
    }

    public String getGridGroupDuty() {
        return gridGroupDuty == null ? "" : gridGroupDuty.trim();
    }

    public void setGridGroupDuty(String gridGroupDuty) {
        this.gridGroupDuty = gridGroupDuty;
    }
}
